# Mount device partitions

description "Mount device partitions"

start on (startup
    and started udev)

emits mounted-android

task

script
    mkdir -p /dev/cpuset
    mount none /dev/cpuset -t cpuset -o nodev,noexec,nosuid

    /usr/sbin/mount-android.sh

    # Create recovery directory for OTA updates
    mkdir -p /cache/recovery

    if [ -d /android/metadata ]; then
        mount -o bind /android/metadata /var/lib/lxc/android/rootfs/metadata
    fi
    initctl emit -n mounted-android
end script
